## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiConfluenceTokenizer

### Document::ezcDocumentWikiConfluenceTokenizer

### Class ezcDocumentWikiConfluenceTokenizer

Tokenizer for Confluence wiki documents.

The Confluence wiki is a quite popular wiki and part of the Atlassian software stack. It is chosen, because it uses an entirely different markup in some places, compared to the other wiki markup languages. The markup is documented at:

http://confluence.atlassian.com/renderer/notationhelp.action?section=all

For the basic workings of the tokenizer see the class level documentation in the ezcDocumentWikiTokenizer class.

Source for this file: /Document/src/document/wiki/tokenizer/confluence.php

    ezcDocumentWikiTokenizer
       |
       --ezcDocumentWikiConfluenceTokenizer

Version: | //autogen//

### Constants

`SPECIAL_CHARS = '/*^,#_~?+!\\\\\\[\\]{}|=-'` | Special characters, which do have some special meaaning and though may not have been matched otherwise.
`TEXT_END_CHARS = '/*^,#_~?+!\\\\\\[\\]{}|=\\r\\n\\t\\x20-'` | Characters ending a pure text section.
`WHITESPACE_CHARS = '[\\x20\\t]'` | Common whitespace characters. The vertical tab is excluded, because it causes strange problems with PCRE.

### Member Variables

protected array | `$imageAttributeMapping = array( 'width' => 'width', 'height' => 'height', 'align' => 'alignement', )` Mapping of confluence image attribute names to image start token properties.

### Inherited Member Variables

From ezcDocumentWikiTokenizer
protected | `ezcDocumentWikiTokenizer::$tokens`

### Method Summary

public void | `__construct( )` Construct tokenizer
protected array | `filterTokens( $tokens )` Filter tokens
protected void | `parseImageDescriptor( $token , $descriptor )` Parse confluence image descriptors
protected void | `parsePluginContents( $plugin )` Parse plugin contents

### Inherited Methods

From ezcDocumentWikiTokenizer
public abstract void | `ezcDocumentWikiTokenizer::__construct()` Construct tokenizer
protected void | `ezcDocumentWikiTokenizer::convertTabs()` Convert tabs to spaces
protected abstract array | `ezcDocumentWikiTokenizer::filterTokens()` Filter tokens
public array | `ezcDocumentWikiTokenizer::tokenizeFile()` Tokenize the given file
public array | `ezcDocumentWikiTokenizer::tokenizeString()` Tokenize the given string

### Methods

#### __construct

void __construct( )

Construct tokenizer

Create token array with regular repression matching the respective token.

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWikiTokenizer::__construct()` | Construct tokenizer

#### filterTokens

array filterTokens( $tokens )

Filter tokens

Method to filter tokens, after the input string ahs been tokenized. The filter should extract additional information from tokens, which are not generally available yet, like the depth of a title depending on the title markup.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$tokens` | array |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWikiTokenizer::filterTokens()` | Filter tokens

#### parseImageDescriptor

void parseImageDescriptor( ezcDocumentWikiImageStartToken $token , mixed $descriptor )

Parse confluence image descriptors

Parse confluence image descriptors which are completely different from other wiki languages, so that they cannot be handled by the default parser.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$token` | ezcDocumentWikiImageStartToken |
`$descriptor` | mixed |

#### parsePluginContents

void parsePluginContents( ezcDocumentWikiPluginToken $plugin )

Parse plugin contents

Plugins are totally different in each wiki component and its contents should not be passed through the normal wiki parser. So we fetch its contents completely and let each tokinzer extract names and parameters from the complete token itself.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$plugin` | ezcDocumentWikiPluginToken |

Documentation generated by phpDocumentor 1.4.3